<?php
/**
 * Form_BlockEdit_delete:: class, extends Form_BlockEdit.
 *
 * These classes are used to set up the forms to edit individual
 * blocks within a page.
 *
 * $Horde: giapeto/lib/Form/BlockEdit/delete.php,v 1.4 2005/01/03 14:34:52 jan Exp $
 *
 * Copyright 2002-2005 Marko Djukic <marko@oblo.com>
 *
 * See the enclosed file COPYING for license information (GPL).  If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 *
 * @author Marko Djukic <marko@oblo.com>
 * @version $Revision: 1.4 $
 * @package giapeto
 */
class Form_BlockEdit_delete extends Form_BlockEdit {

    function Form_BlockEdit_delete(&$vars, &$block)
    {
        parent::Form_BlockEdit($vars, $block);

        $this->_form->setButtons(array(_("Delete"), _("Do not delete")));
        $this->_form->addVariable(_("Confirm deletion of this block?"), 'delete_confirm', 'header', false);
    }

    function doSubmit()
    {
        if ($this->_vars->get('submitbutton') == _("Do not delete")) {
            $GLOBALS['notification']->push(_("Block has not been deleted."), 'horde.message');
            echo '<script language="JavaScript" type="text/javascript">parent.opener.location.reload(); window.close();</script>';
            exit;
        }

        return parent::doSubmit();
    }

}
