<?php

require_once 'Horde/MIME/Viewer/images.php';

/**
 * The Gollem_MIME_Viewer_images class allows images to be displayed
 * inline in a message.
 *
 * $Horde: giapeto/lib/MIME/Viewer/images.php,v 1.13 2005/01/03 14:34:53 jan Exp $
 *
 * Copyright 2002-2005 Mike Cochrane <mike@graftonhall.co.nz>
 *
 * See the enclosed file COPYING for license information (GPL). If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 *
 * @author  Mike Cochrane <mike@graftonhall.co.nz>
 * @version $Revision: 1.13 $
 * @since   Giapeto 0.1
 * @package Horde_MIME_Viewer
 */
class Giapeto_MIME_Viewer_images extends MIME_Viewer_images {

    function render($params = null)
    {
        global $browser;

        if ($browser->isViewable($this->mime_part->getType())) {
            $alt = $this->mime_part->getName();
            if (empty($alt)) {
                $alt = $this->mime_part->getDescription();
            }

            $url = Horde::applicationUrl('view.php');
            $url = Util::addParameter($url, 'actionID', 'download');
            $url = Util::addParameter($url, 'file', $this->mime_part->getName());

            return '<img src="' . $url . '" border="0" alt="' . $alt . '" title="' . $alt . '" />';
        } else {
            return '<i>' . _("Your browser does not support inline display of this image type") . '</i>.';
        }
    }

    /**
     * Return the content-type
     *
     * @return string  The content-type of the output.
     */
    function getType()
    {
        return 'text/html';
    }

}
